Skip to main content
POST
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

table_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Create model for a table column.

name
string
required

The name of the column

Required string length: 1 - 100
type
enum<string>
required

The SQL type of the column

Available options:
TEXT,
INTEGER,
NUMERIC,
DATE,
BOOLEAN,
TIMESTAMPTZ,
JSONB,
SELECT,
MULTI_SELECT
Required string length: 1 - 100
nullable
boolean
default:true
default
unknown
is_index
boolean
default:false

Whether to create a unique index on the column

options
string[] | null

Response

Successful Response

Definition for a table column.

id
string<uuid>
required
name
string
required
type
enum<string>
required

Supported SQL types.

Available options:
TEXT,
INTEGER,
NUMERIC,
DATE,
BOOLEAN,
TIMESTAMPTZ,
JSONB,
SELECT,
MULTI_SELECT
nullable
boolean
default:true
default
unknown
is_index
boolean
default:false
options
string[] | null